## libqt4-appdownloader-comm 0.0.3

=== debian/changelog ===
libqt4-appdownloader-comm (0.0.3) unstable; urgency=low
  
  * parsing enhanced
  * queue for screeshots
  * Changes in ApplicationHandler due to REST API changes.

 -- daniel wilms <dwilms@unknown>  Thu, 10 Dec 2009 14:38:00 +0200

## libqt4-appdownloader-comm 0.0.4

=== Makefile ===
#############################################################################
# Makefile for building: qt4-appdownloader-comm
# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Jan 25 15:34:21 2010
# Project:  qt4-appdownloader-comm.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile qt4-appdownloader-comm.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qt4-appdownloader-comm.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile qt4-appdownloader-comm.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile qt4-appdownloader-comm.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== debian/changelog ===
libqt4-appdownloader-comm (0.0.4) unstable; urgency=low
  
  * removed problems with postinst file

 -- daniel wilms <dwilms@unknown>  Thu, 10 Dec 2009 14:38:00 +0200

=== debian/rules ===
#!/usr/bin/make -f

APPNAME := appdownloader-comm


builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake PREFIX=/usr ../qt4-$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	#compile the package
	cd builddir && $(MAKE)   
	touch $@


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf buiddir
	dh_clean

install: build
	dh_installdirs
	dh_testdir
	dh_testroot
	dh_clean -k
	cd builddir/src/ && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqt4-$(APPNAME) install
	mkdir -p $(CURDIR)/debian/libqt4-$(APPNAME)-dev/usr/include/$(APPNAME)/
	cp src/*.h $(CURDIR)/debian/libqt4-$(APPNAME)-dev/usr/include/$(APPNAME)

binary-indep: build install
#nothing to do

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libqt4-appdownloader-comm 0.2

=== debian/changelog ===
libqt4-appdownloader-comm (0.2) unstable; urgency=low
  
  * parsing enhanced
  * queue for screeshots
  * Changes in ApplicationHandler due to REST API changes.

 -- daniel wilms <dwilms@unknown>  Thu, 10 Dec 2009 14:38:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 APPNAME := appdownloader-comm
-
 
 builddir:
 	mkdir -p builddir
@@ -40,7 +39,6 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 	dh_installman

## libqt4-appdownloader-comm 0.3

=== debian/changelog ===
libqt4-appdownloader-comm (0.3) unstable; urgency=low
  
  * added shlibs

 -- daniel wilms <dwilms@unknown>  Thu, 10 Dec 2009 14:38:00 +0200

## libqt4-appdownloader-comm 0.3.2

=== debian/changelog ===
libqt4-appdownloader-comm (0.3.2) unstable; urgency=low
  
  * commenting feature added, small bugfixes there  
  * error handling

 -- daniel wilms <dwilms@unknown>  Thu, 10 Dec 2009 14:38:00 +0200

## libqt4-appdownloader-comm 0.3.3

=== debian/changelog ===
libqt4-appdownloader-comm (0.3.3) unstable; urgency=low
  
  * bugfix in debian/rules
  * commenting feature added, small bugfixes there  
  * error handling

 -- daniel wilms <dwilms@unknown>  Thu, 10 Dec 2009 14:38:00 +0200

=== debian/control ===
Source: libqt4-appdownloader-comm
Section: libs
Priority: extra
Maintainer: daniel wilms <daniel.wilms@gmail.com>
Build-Depends: debhelper (>= 5),libqt4-dev,libhildonmime-dev
Standards-Version: 3.7.3

Package: libqt4-appdownloader-comm-dev
Section: libdevel
Architecture: any
Depends: libqt4-appdownloader-comm
Description: header files for communication with maemo.org downloads REST API

Package: libqt4-appdownloader-comm
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for communication with maemo.org downloads REST API

## libqt4-appdownloader-comm 0.3.4

=== debian/changelog ===
libqt4-appdownloader-comm (0.3.4) unstable; urgency=low

  * more fields added to MaemoApplication, MaemoApplicationDetails and parser  
  * bugfix in debian/rules
  * commenting feature added, small bugfixes there  
  * error handling

 -- daniel wilms <dwilms@unknown>  Thu, 10 Dec 2009 14:38:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
+	dh_makeshlibs
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## libqt4-appdownloader-comm 0.3.5

=== debian/changelog ===
libqt4-appdownloader-comm (0.3.5) unstable; urgency=low
  
  * cookie handling changed
  * more fields added to MaemoApplication, MaemoApplicationDetails and parser  
  * bugfix in debian/rules
  * commenting feature added, small bugfixes there  
  * error handling

 -- daniel wilms <dwilms@unknown>  Thu, 10 Dec 2009 14:38:00 +0200
